<h1 class="con_heading">{$album.title} {if $total}({$total}){/if}</h1>
<div class="clear"></div>
{if $album.id == $root_album_id && $cfg.showlat}

<div class="float_bar">
	<a class="photo_latest" href="/photos/latest.html">{$LANG.LAST_UPLOADED}</a>
	<a class="photo_best" href="/photos/top.html">{$LANG.BEST_PHOTOS}</a>
</div>

{elseif $album.id != $root_album_id && $album.orderform}
    
	<div class="float_bar">
	    {if $can_add_photo}
            <a class="photo_add_link" href="/photos/{$album.id}/addphoto.html">{$LANG.ADD_PHOTO_TO_ALBUM}</a>
        {/if}
	</div>

    <div class="float_bar">
        <form action="" method="POST" style="float: left">
            {$LANG.SORTING_PHOTOS}:
            <select name="orderby" id="orderby">
                <option value="title" {if $orderby=='title'} selected {/if}>{$LANG.ORDERBY_TITLE}</option>
                <option value="pubdate" {if $orderby=='pubdate'} selected {/if}>{$LANG.ORDERBY_DATE}</option>
                <option value="rating" {if $orderby=='rating'} selected {/if}>{$LANG.ORDERBY_RATING}</option>
                <option value="hits" {if $orderby=='hits'} selected {/if}>{$LANG.ORDERBY_HITS}</option>
            </select>
            <select name="orderto" id="orderto">
                <option value="desc" {if $orderto=='desc'} selected {/if}>{$LANG.ORDERBY_DESC}</option>
                <option value="asc" {if $orderto=='asc'} selected {/if}>{$LANG.ORDERBY_ASC}</option>
            </select>
            <input type="submit" value=">>" />
        </form>
    </div>
{elseif $can_add_photo && $album.parent_id > 0}
	<div class="float_bar"><a class="photo_add_link" href="/photos/{$album.id}/addphoto.html">{$LANG.ADD_PHOTO_TO_ALBUM}</a></div>
{/if}
<div class="clear"></div>
{if $album.description}
	<p class="usr_photos_notice">{$album.description|nl2br}</p>
{/if}
{if $subcats}
        {foreach key=tid item=cat from=$subcats}
            <div class="photo_album_tumb">
                <div class="photo_container">
                    <a href="/photos/{$cat.id}"><img class="photo_album_img" src="/images/photos/small/{$cat.file}" alt="{$cat.title|escape:'html'}" border="0" width="{$cat.thumb1}px" /></a>
                </div>
                <div class="photo_txt">
                    <ul>
                        <li class="photo_album_title"><a href="/photos/{$cat.id}">{$cat.title}</a> ({$cat.content_count})</li>
                        {if $cat.description}<li>{$cat.description|truncate:30}</li>{/if}
                    </ul>
                </div>
            </div>
        {/foreach}

{/if}

{if $photos}
<div class="photo_gallery">
    {foreach key=tid item=photo from=$photos}

            <div class="{$album.cssprefix}photo_thumb" align="center">
                {if $album.showtype == 'lightbox'}
                <a class="lightbox-enabled" rel="lightbox-galery" href="/images/photos/medium/{$photo.file}" title="{$photo.title|escape:'html'}">
                {else}
                <a href="/photos/photo{$photo.id}.html" title="{$photo.title|escape:'html'}">
                {/if}
                    <img class="photo_thumb_img" src="/images/photos/small/{$photo.file}" alt="{$photo.title|escape:'html'}" border="0" />
                </a><br />
                <a href="/photos/photo{$photo.id}.html" title="{$photo.title|escape:'html'}">{$photo.title|truncate:18}</a>
                {if $album.showdate}
                    <div class="mod_lp_albumlink"><div class="mod_lp_details">
                    <table cellpadding="2" cellspacing="0" align="center" border="0"><tr>
                        <td colspan="2"><img src="/templates/{template}/images/icons/calendar.png" border="0"/> {$photo.pubdate}</td>
					</tr>
					<tr>
                        <td><img src="/templates/{template}/images/icons/comment-small.png" border="0"/></td>
                        <td><a href="/photos/photo{$photo.id}.html#c" title="{$photo.comments|spellcount:$LANG.COMMENT1:$LANG.COMMENT2:$LANG.COMMENT10}">{$photo.comments}</a></td>
                    </tr></table>
                    </div></div>
                {/if}
                {if !$photo.published}
                    <div style="color:#F00; font-size:12px">{$LANG.WAIT_MODERING}</div>
                {/if}
        	</div>
    
    {/foreach}
</div>
{$pagebar}
{else}
	{if $album.parent_id > 0}<p>{$LANG.NOT_PHOTOS_IN_ALBUM}</p>{/if}
{/if}
<div class="clear"></div>