{strip}
<a name="photo"></a>
<h1 class="con_heading">{$photo.title}</h1>
<div class="clear"></div>
{if $is_author || $is_admin}
<div class="float_bar">
    <a class="uc_item_edit_link" href="javascript:void(0)" onclick="photos.editPhoto({$photo.id});return false;">{$LANG.EDIT}</a>
    <a class="usr_photo_del" href="javascript:void(0)" onclick="photos.deletePhoto({$photo.id}, '{csrf_token}');return false;">{$LANG.DELETE}</a>
    {if $is_admin}
        <a class="usr_photo_move" href="javascript:void(0)" onclick="photos.movePhoto({$photo.id});return false;">{$LANG.MOVE}</a>
        {if !$photo.published}
            <span id="pub_photo_link">
               <a class="pub_photo_link" href="javascript:void(0)" onclick="photos.publishPhoto({$photo.id});return false;">{$LANG.PUBLISH}</a>
		    </span>
	    {/if}
    {/if}
</div>
<div class="clear" style="height:10px"></div>
{/if}
<div class="photo_layout">
        <div class="column7 alpha">
		    <div align="center">
                <img src="/images/photos/medium/{$photo.file}" border="0" alt="{$photo.title|escape:'html'}" />
			</div>

            {if $photo.album_nav}
                <div align="center" style="margin:5px 0 10px 0">
                    {if $previd}
                        &larr; <a href="/photos/photo{$previd.id}.html#photo">{$LANG.PREVIOUS}</a>
                    {/if}
                    {if $previd && $nextid} | {/if}
                    {if $nextid}
                        <a href="/photos/photo{$nextid.id}.html#photo">{$LANG.NEXT}</a> &rarr;
                    {/if}
                </div>
			{/if}
			
        </div>

        <div class="column4 omega">
		    {if $photo.description}
            <div class="photo_desc">
			    <p><strong>{$LANG.PHOTO_DESCRIPTION}: </strong></p>
                <p>{$photo.description|nl2br}</p>
            </div>
            {/if}
		
            <div class="photo_details">
			

                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td>
                            <p><strong>{$LANG.RATING}: </strong><span id="karmapoints">{$photo.rating|rating}</span></p>
                            <p><strong>{$LANG.HITS}: </strong> {$photo.hits}</p>
                        </td>
                        {if $photo.karma_buttons}
                            <td width="25">{$photo.karma_buttons}</td>
                        {/if}
                    </tr>
                </table>

                <div class="photo_date_details">
                    <p>{if !$photo.published}<span id="pub_photo_wait" style="color:#F00;">{$LANG.WAIT_MODERING}</span><span id="pub_photo_date" style="display:none;">{$photo.pubdate}</span>{else}{$photo.pubdate}{/if}</p>
                    <p>{$photo.genderlink}</p>
                </div>

                {if $cfg.link}
                    <p class="photo_date_details"><a class="lightbox-enabled" rel="lightbox-galery" href="/images/photos/{$photo.file}" title="{$photo.title|escape:'html'}">{$LANG.OPEN_ORIGINAL}</a></p>
                {/if}

            </div>

            {if $photo.a_bbcode}
            <div class="photo_details" style="margin-top:5px;font-size: 12px">
                <strong>{$LANG.CODE_INPUT_TO_FORUMS}:</strong><br/>
                <input type="text" class="photo_bbinput" value="{$bbcode}"/>
            </div>
            {/if}
			{if $photo.album_nav}
                <div class="photo_sub_details">
                    {$LANG.BACK_TO} <a href="/photos/{$photo.album_id}">{$LANG.TO_ALBUM}</a><br/>
                    {$LANG.BACK_TO} <a href="/photos">{$LANG.TO_LIST_ALBUMS}</a>
                </div>
            {/if}


        </div>
</div>

<div class="photo_sub_details">
    {$tagbar}
</div>


{/strip}
